// Bellows - bellows fold pattern printer, based on US Patent No 6,054,194,
// Mathematically optimized family of ultra low distortion bellow fold patterns, Nathan R. Kane.
// Copyright (C) 2008, Frank Tkalcevic, www.franksworkshop.com

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Bellows
{
	public sealed class BellowConfig : ConfigurationSection
	{
		public BellowConfig()
		{
		}

		[ConfigurationProperty("Bellows", IsDefaultCollection = false)]
		[ConfigurationCollection(typeof(BellowsCollection))]
		public BellowsCollection Bellows
		{
			get
			{
				BellowsCollection col = (BellowsCollection)base["Bellows"];
				return col;
			}
		}

		[ConfigurationProperty("SelectedItem", DefaultValue = "")]
		public string SelectedItem
		{
			get
			{
				return (string)this["SelectedItem"];
			}
			set
			{
				this["SelectedItem"] = value;
			}
		}
	}
}
